---
obj: application
os: linux
repo: https://github.com/eza-community/eza
---
# exa
[**eza**](https://eza.rocks/) is a modern replacement for the venerable file-listing command-line program `ls` that ships with Unix and Linux operating systems, giving it more features and better defaults. It uses colours to distinguish file types and metadata. It knows about symlinks, extended attributes, and Git. And it’s **small**, **fast**, and just **one single binary**.

## Usage
Flags:
```shell
-l, --long         display extended file metadata as a table
-R, --recurse      recurse into directories
-L, --level DEPTH  limit the depth of recursion
-T, --tree         recurse into directories as a tree
-a, --all          show hidden and 'dot' files
-r, --reverse      reverse the sort order
-D, --only-dirs    list only directories
--git-ignore       ignore files mentioned in '.gitignore'
```